Bug 1087856 - Local (non clustered) SCA invocation of service in different SwitchYard app runs in context of the invoker app
Summary: Local (non clustered) SCA invocation of service in different SwitchYard app r...
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR1
: 6.1.0
Assignee: Keith Babo
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-15 13:04 UTC by Václav Chalupa
Modified: 2016-09-20 01:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
reproducer (24.42 KB, application/zip)
2014-04-15 13:04 UTC, Václav Chalupa
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-2154 Major Resolved set deployment class loader as a TCCL on SCA local invocation 2016-05-06 09:27:00 UTC

Description Václav Chalupa 2014-04-15 13:04:00 UTC
Created attachment 886485 [details]
reproducer

When you have two SwitchYard applications deployed on the same server in non-clustered environment, first app defines SCA service binding and second references this service, ClassLoader in first app has the context of second (invoker) app.

Please see attached reproducer.

1 - sca-service-app defines sca service binding and reference to jpa binding to save received command.
2 - client app references sca-service-app and invoke it locally.

You can add breakpoint to Ejb3Configuration.java:315 and see the issue with ClassLoader. EntityManager for sca-service-app PU is creating and pom.xml in this app should be found, but pom.xml is looked in client-app, not in sca-service-app.


Note You need to log in before you can comment on or make changes to this bug.